Retrieve Status
Retrieve Transaction Status
Call this endpoint with the required parameters to retrieve the transaction status. The endpoint will return records only after the batch has been fully approved and authorized, and the authorizer has successfully committed the batch by entering their card PIN..
Endpoint: `GET /Transaction/GetBatchTransactionStatus?batchId={batchId}&corporateCode={corporateCode}&pageNumber=1&pageSize=20
Request:
curl --location 'https://batch-upload.uat.isw.la/api/Transaction/GetBatchTransactionStatus?batchId=687636&corporateCode=SC1&pageNumber=1&pageSize=20' \
--header 'Accept: text/plain' \
--header 'Authorization: Bearer `<TOKEN>`
Response where batch has been authorized and commited:
{
"hasResult": true,
"result": {
"items": [
{
"final_Tran_Date_Time": "2026-08-06T17:16:24.917",
"beneficiaryName": "SULEIMAN YAKUBU",
"to_Acc": "2042288138",
"tran_Desc": "Gombe State Civil Servant Palliative Aug 2023",
"amtRequested": 9979.0000,
"amtApproved": 9979.0000,
"amtSurcharged": 21.0000,
"final_Response_Code": "00",
"tran_Ref": "DK1780",
"beneficiaryCode": "2042288138",
"createdOn": "2026-08-06T17:05:27.563",
"batch_Id": 687636,
"cbnCode": "011"
},
{
"final_Tran_Date_Time": "2026-08-06T17:05:38.867",
"beneficiaryName": "HASSANA YILA",
"to_Acc": "56587700",
"tran_Desc": "Gombe State Civil Servant Palliative Aug 2023",
"amtRequested": 9979.0000,
"amtApproved": 9979.0000,
"amtSurcharged": 21.0000,
"final_Response_Code": "00",
"tran_Ref": "BR0277",
"beneficiaryCode": "56587700",
"createdOn": "2026-08-06T17:05:27.563",
"batch_Id": 687636,
"cbnCode": "215"
},
{
"final_Tran_Date_Time": "2026-08-06T17:26:35.907",
"beneficiaryName": "DAVID SAIDU",
"to_Acc": "184058166",
"tran_Desc": "Gombe State Civil Servant Palliative Aug 2023",
"amtRequested": 9979.0000,
"amtApproved": 9979.0000,
"amtSurcharged": 21.0000,
"final_Response_Code": "00",
"tran_Ref": "AK4230",
"beneficiaryCode": "184058166",
"createdOn": "2026-08-06T17:05:27.563",
"batch_Id": 687636,
"cbnCode": "032"
},
{
"final_Tran_Date_Time": "2026-08-06T17:16:26.28",
"beneficiaryName": "ABDU KALSHINGI AMINU",
"to_Acc": "2042327008",
"tran_Desc": "Gombe State Civil Servant Palliative Aug 2023",
"amtRequested": 50079.0000,
"amtApproved": 50079.0000,
"amtSurcharged": 21.0000,
"final_Response_Code": "00",
"tran_Ref": "BG1735",
"beneficiaryCode": "2042327008",
"createdOn": "2026-08-06T17:05:27.563",
"batch_Id": 687636,
"cbnCode": "011"
},
{
"final_Tran_Date_Time": "2026-08-06T17:26:37.44",
"beneficiaryName": "BLESSING MARKUS",
"to_Acc": "31147458",
"tran_Desc": "Gombe State Civil Servant Palliative Aug 2023",
"amtRequested": 9979.0000,
"amtApproved": 0.0000,
"amtSurcharged": 21.0000,
"final_Response_Code": "400",
"tran_Ref": "BG0764",
"beneficiaryCode": "31147458",
"createdOn": "2026-08-06T17:05:27.563",
"batch_Id": 687636,
"cbnCode": "032"
},
{
"final_Tran_Date_Time": "2026-08-06T17:05:38.573",
"beneficiaryName": "AGWAM MAICIBI",
"to_Acc": "9820525017",
"tran_Desc": "Gombe State Civil Servant Palliative Aug 2023",
"amtRequested": 9979.0000,
"amtApproved": 9979.0000,
"amtSurcharged": 21.0000,
"final_Response_Code": "00",
"tran_Ref": "BR0492",
"beneficiaryCode": "9820525017",
"createdOn": "2026-08-06T17:05:27.563",
"batch_Id": 687636,
"cbnCode": "214"
},
{
"final_Tran_Date_Time": "2026-08-06T17:26:36.77",
"beneficiaryName": "UMAR GARBA",
"to_Acc": "187483172",
"tran_Desc": "Gombe State Civil Servant Palliative Aug 2023",
"amtRequested": 49979.0000,
"amtApproved": 49979.0000,
"amtSurcharged": 21.0000,
"final_Response_Code": "00",
"tran_Ref": "BG1216",
"beneficiaryCode": "187483172",
"createdOn": "2026-08-06T17:05:27.563",
"batch_Id": 687636,
"cbnCode": "032"
},
{
"final_Tran_Date_Time": "2026-08-06T17:16:28.07",
"beneficiaryName": "ABUBAKAR ALIYU MARI",
"to_Acc": "187758577",
"tran_Desc": "Gombe State Civil Servant Palliative Aug 2023",
"amtRequested": 9979.0000,
"amtApproved": 9979.0000,
"amtSurcharged": 21.0000,
"final_Response_Code": "00",
"tran_Ref": "BG1038",
"beneficiaryCode": "187758577",
"createdOn": "2026-08-06T17:05:27.563",
"batch_Id": 687636,
"cbnCode": "032"
},
{
"final_Tran_Date_Time": "2026-08-06T17:16:27.32",
"beneficiaryName": "ALMAHDI NAFADA USMAN",
"to_Acc": "2045782015",
"tran_Desc": "Gombe State Civil Servant Palliative Aug 2023",
"amtRequested": 9979.0000,
"amtApproved": 9979.0000,
"amtSurcharged": 21.0000,
"final_Response_Code": "00",
"tran_Ref": "NF0140",
"beneficiaryCode": "2045782015",
"createdOn": "2026-08-06T17:05:27.563",
"batch_Id": 687636,
"cbnCode": "033"
}
],
"pageNumber": 1,
"pageSize": 20,
"totalCount": 9,
"totalPages": 1
},
"resultType": 1,
"message": null,
"validationMessages": null,
"responseMessage": null,
"responseCode": "00",
"successful": true
}Response where batch is yet to be authorized and commited:
{
"hasResult": false,
"result": null,
"resultType": 2,
"message": "Transaction For Corporate Not Found",
"validationMessages": null,
"responseMessage": null,
"responseCode": null,
"successful": false
}Request Params Description
| Field | Type | Required | Description |
|---|---|---|---|
| batchId | string | Yes | This value is retrieved from the response payload of the Create Batch API request. |
| corporateCode | string | Yes | Corporate institution code (3-6 chars). This will be provided by Intersiwtch upon go-live |
Retrieve Payment Status
Call this endpoint with the required parameters to retrieve the payment status. Unlike the transaction status endpoint, this endpoint provides the current status of the payment workflow. It indicates whether the payment upload was successful, pending or failed. In contrast, the transaction status endpoint provides the processing status of transactions that have already been authorized, committed, and submitted for execution.
Endpoint: `GET /Transaction/GetBatchPaymentStatus?batchId={batchId}&corporateCode={corporateCode}&pageNumber=1&pageSize=20
Request:
curl --location 'https://batch-upload.uat.isw.la/api/Transaction/GetBatchPaymentStatus?batchId=687636&corporateCode=sc1&pageNumber=1&pageSize=20' \
--header 'Accept: text/plain' \
--header 'Authorization: Bearer `<TOKEN>`
Response:
{
"hasResult": true,
"result": {
"items": [
{
"beneficiaryCode": "2045782015",
"narration": "Gombe State Civil Servant Palliative Aug 2023",
"toAccount": "2045782015",
"toBankCbnCode": "033",
"toAccountType": "20",
"paymentAmount": 10000.0000,
"paymentBatchId": 687636,
"paymentReferenceNumber": "NF0140",
"status": "Successful",
"datePrepared": "2026-08-06T00:00:00",
"createdOn": "2026-08-06T17:03:12.693",
"createdBy": "initiator",
"modifiedOn": "2026-08-06T17:03:12.693",
"modifiedBy": "initiator",
"fee": 21.0000,
"chargeToPayee": false,
"beneficiaryName": "ALMAHDI NAFADA USMAN",
"beneficiaryEmail": "info@payrite",
"remark": "Success",
"isInvalid": false
},
{
"beneficiaryCode": "187758577",
"narration": "Gombe State Civil Servant Palliative Aug 2023",
"toAccount": "187758577",
"toBankCbnCode": "032",
"toAccountType": "10",
"paymentAmount": 10000.0000,
"paymentBatchId": 687636,
"paymentReferenceNumber": "BG1038",
"status": "Successful",
"datePrepared": "2026-08-06T00:00:00",
"createdOn": "2026-08-06T17:03:12.553",
"createdBy": "initiator",
"modifiedOn": "2026-08-06T17:03:12.553",
"modifiedBy": "initiator",
"fee": 21.0000,
"chargeToPayee": false,
"beneficiaryName": "ABUBAKAR ALIYU MARI",
"beneficiaryEmail": "info@payrite",
"remark": "Success",
"isInvalid": false
},
{
"beneficiaryCode": "187483172",
"narration": "Gombe State Civil Servant Palliative Aug 2023",
"toAccount": "187483172",
"toBankCbnCode": "032",
"toAccountType": "10",
"paymentAmount": 50000.0000,
"paymentBatchId": 687636,
"paymentReferenceNumber": "BG1216",
"status": "Successful",
"datePrepared": "2026-08-06T00:00:00",
"createdOn": "2026-08-06T17:03:12.367",
"createdBy": "initiator",
"modifiedOn": "2026-08-06T17:03:12.367",
"modifiedBy": "initiator",
"fee": 21.0000,
"chargeToPayee": false,
"beneficiaryName": "UMAR GARBA",
"beneficiaryEmail": "info@payrite",
"remark": "Success",
"isInvalid": false
},
{
"beneficiaryCode": "9820525017",
"narration": "Gombe State Civil Servant Palliative Aug 2023",
"toAccount": "9820525017",
"toBankCbnCode": "214",
"toAccountType": "10",
"paymentAmount": 10000.0000,
"paymentBatchId": 687636,
"paymentReferenceNumber": "BR0492",
"status": "Successful",
"datePrepared": "2026-08-06T00:00:00",
"createdOn": "2026-08-06T17:03:12.163",
"createdBy": "initiator",
"modifiedOn": "2026-08-06T17:03:12.163",
"modifiedBy": "initiator",
"fee": 21.0000,
"chargeToPayee": false,
"beneficiaryName": "AGWAM MAICIBI",
"beneficiaryEmail": "info@payrite",
"remark": "Success",
"isInvalid": false
},
{
"beneficiaryCode": "31147458",
"narration": "Gombe State Civil Servant Palliative Aug 2023",
"toAccount": "31147458",
"toBankCbnCode": "032",
"toAccountType": "10",
"paymentAmount": 10000.0000,
"paymentBatchId": 687636,
"paymentReferenceNumber": "BG0764",
"status": "Successful",
"datePrepared": "2026-08-06T00:00:00",
"createdOn": "2026-08-06T17:03:11.897",
"createdBy": "initiator",
"modifiedOn": "2026-08-06T17:03:11.897",
"modifiedBy": "initiator",
"fee": 21.0000,
"chargeToPayee": false,
"beneficiaryName": "BLESSING MARKUS",
"beneficiaryEmail": "info@payrite",
"remark": "Success",
"isInvalid": false
},
{
"beneficiaryCode": "2042327008",
"narration": "Gombe State Civil Servant Palliative Aug 2023",
"toAccount": "2042327008",
"toBankCbnCode": "011",
"toAccountType": "10",
"paymentAmount": 50100.0000,
"paymentBatchId": 687636,
"paymentReferenceNumber": "BG1735",
"status": "Successful",
"datePrepared": "2026-08-06T00:00:00",
"createdOn": "2026-08-06T17:03:11.633",
"createdBy": "initiator",
"modifiedOn": "2026-08-06T17:03:11.633",
"modifiedBy": "initiator",
"fee": 21.0000,
"chargeToPayee": false,
"beneficiaryName": "ABDU KALSHINGI AMINU",
"beneficiaryEmail": "info@payrite",
"remark": "Success",
"isInvalid": false
},
{
"beneficiaryCode": "184058166",
"narration": "Gombe State Civil Servant Palliative Aug 2023",
"toAccount": "184058166",
"toBankCbnCode": "032",
"toAccountType": "10",
"paymentAmount": 10000.0000,
"paymentBatchId": 687636,
"paymentReferenceNumber": "AK4230",
"status": "Successful",
"datePrepared": "2026-08-06T00:00:00",
"createdOn": "2026-08-06T17:03:11.507",
"createdBy": "initiator",
"modifiedOn": "2026-08-06T17:03:11.507",
"modifiedBy": "initiator",
"fee": 21.0000,
"chargeToPayee": false,
"beneficiaryName": "DAVID SAIDU",
"beneficiaryEmail": "info@payrite",
"remark": "Success",
"isInvalid": false
},
{
"beneficiaryCode": "56587700",
"narration": "Gombe State Civil Servant Palliative Aug 2023",
"toAccount": "56587700",
"toBankCbnCode": "215",
"toAccountType": "10",
"paymentAmount": 10000.0000,
"paymentBatchId": 687636,
"paymentReferenceNumber": "BR0277",
"status": "Successful",
"datePrepared": "2026-08-06T00:00:00",
"createdOn": "2026-08-06T17:03:11.43",
"createdBy": "initiator",
"modifiedOn": "2026-08-06T17:03:11.43",
"modifiedBy": "initiator",
"fee": 21.0000,
"chargeToPayee": false,
"beneficiaryName": "HASSANA YILA",
"beneficiaryEmail": "info@payrite",
"remark": "Success",
"isInvalid": false
},
{
"beneficiaryCode": "2042288138",
"narration": "Gombe State Civil Servant Palliative Aug 2023",
"toAccount": "2042288138",
"toBankCbnCode": "011",
"toAccountType": "10",
"paymentAmount": 10000.0000,
"paymentBatchId": 687636,
"paymentReferenceNumber": "DK1780",
"status": "Successful",
"datePrepared": "2026-08-06T00:00:00",
"createdOn": "2026-08-06T17:03:11.227",
"createdBy": "initiator",
"modifiedOn": "2026-08-06T17:03:11.227",
"modifiedBy": "initiator",
"fee": 21.0000,
"chargeToPayee": false,
"beneficiaryName": "SULEIMAN YAKUBU",
"beneficiaryEmail": "info@payrite",
"remark": "Success",
"isInvalid": false
}
],
"pageNumber": 1,
"pageSize": 20,
"totalCount": 9,
"totalValidPayments": 9,
"totalInvalidPayments": 0,
"totalPages": 1
},
"resultType": 1,
"message": null,
"validationMessages": null,
"responseMessage": null,
"responseCode": "00",
"successful": true
}Request Params Description
| Field | Type | Required | Description |
|---|---|---|---|
| batchDescription | string | Yes | The Batch Description used in this request must be the same as the value provided in the Create Batch endpoint |
| corporateCode | string | Yes | Corporate institution code (3-6 chars). This will be provided by Intersiwtch upon go-live |
Support
For technical support or integration assistance:
- Email: [email protected]
Updated about 1 hour ago
